Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 1.7.2
Release: 0.fc3
Source: http://download.sourceforge.net/gwenhywfar/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: LGPL
URL: http://sourceforge.net/projects/gwenhywfar
Patch: gwenhywfar-1.7.2-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel ncurses-devel gettext
Prereq: /sbin/ldconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and AqBanking/AqHBCI, the German online banking 
libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.


%prep
%setup -q
%patch -p1

%build
%configure --disable-static --with-openssl-libs=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo

%files devel
%defattr(-,root,root)
%{_bindir}/gwenhywfar-config
%{_bindir}/xmlmerge
%{_bindir}/dlgtest
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_includedir}/gwenhywfar
%{_includedir}/gwenpp
%{_libdir}/*.so
%{_datadir}/aclocal/gwenhywfar.m4

%changelog
* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.7.2-0.fc3
- initial packaging, adopt upstream package
